From 676507c71c094e79541f3d919aadbea60d3f818a Mon Sep 17 00:00:00 2001
From: Javier Tia <javier.tia@linaro.org>
Date: Mon, 23 Dec 2024 13:53:37 -0600
Subject: [PATCH] Allow pass cert-to-efi-sig-list from environment

No always cert-to-efi-sig-list is reachable through PATH environment
variable, like Poky build system.

Upstream-Status: Pending

Signed-off-by: Javier Tia <javier.tia@linaro.org>
---
 scripts/Makefile.lib | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/Makefile.lib b/scripts/Makefile.lib
index 5dfb4b6e46..cb4a8dd518 100644
--- a/scripts/Makefile.lib
+++ b/scripts/Makefile.lib
@@ -361,8 +361,9 @@ capsule_esl_input_file=$(srctree)/lib/efi_loader/capsule_esl.dtsi.in
 capsule_crt_file=$(subst $(quote),,$(CONFIG_EFI_CAPSULE_CRT_FILE))
 capsule_esl_dtsi=.capsule_esl.dtsi
 
+CERT_TO_EFI_SIG_LIST ?= cert-to-efi-sig-list
 quiet_cmd_capsule_esl_gen = CAPSULE_ESL_GEN $@
-cmd_capsule_esl_gen = cert-to-efi-sig-list $< $@
+cmd_capsule_esl_gen = $(CERT_TO_EFI_SIG_LIST) $< $@
 
 $(obj)/capsule_esl_file: $(capsule_crt_file) FORCE
 ifeq ($(CONFIG_EFI_CAPSULE_CRT_FILE),"")
-- 
2.47.1

